## org.apache.hadoop.contrib.index.mapred
Class DocumentAndOp.Op

    java.lang.Object
      org.apache.hadoop.contrib.index.mapred.DocumentAndOp.Op

Enclosing class:
  DocumentAndOp

    public static final class DocumentAndOp.Op

extends Object

This class represents the type of an operation - an insert, a delete or an update.

Field Summary
`static DocumentAndOp.Op` `DELETE`
`static DocumentAndOp.Op` `INSERT`
`static DocumentAndOp.Op` `UPDATE`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT

    public static final DocumentAndOp.Op INSERT

### DELETE

    public static final DocumentAndOp.Op DELETE

### UPDATE

    public static final DocumentAndOp.Op UPDATE

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 The Apache Software Foundation